Schedule tasks atomically
curl --request PATCH \
--url https://api.doers.sh/v2/tasks/schedule \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"taskId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"day": "2023-12-25",
"time": "<string>",
"order": 123
}
]
}
'import requests
url = "https://api.doers.sh/v2/tasks/schedule"
payload = { "items": [
{
"taskId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"day": "2023-12-25",
"time": "<string>",
"order": 123
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
items: [
{
taskId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
day: '2023-12-25',
time: '<string>',
order: 123
}
]
})
};
fetch('https://api.doers.sh/v2/tasks/schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tasks": [
{
"id": "<string>",
"title": "<string>",
"notes": "<string>",
"status": "open",
"priority": 0,
"when": {
"kind": "today"
},
"deadline": "<string>",
"projectId": "<string>",
"areaId": "<string>",
"headingId": "<string>",
"tags": [
"<string>"
],
"checklist": [
{
"id": "<string>",
"label": "<string>",
"done": true
}
],
"completedAt": 123,
"durationMin": 123,
"kind": "task",
"repeat": {
"every": 183,
"unit": "day",
"mode": "calendar",
"weekdays": [
4
]
},
"visibility": "public",
"order": 123,
"notePath": "<string>",
"conversationPath": "<string>",
"assigneeId": "<string>",
"assignee": {
"id": "<string>",
"username": "<string>",
"name": "<string>",
"email": "<string>",
"image": "<string>"
},
"accessRole": "owner"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}Tasks
Schedule tasks atomically
Schedules one or more tasks by day, optional precise time and optional manual order in one transaction. Omitted time preserves an existing precise time; null clears it. If any task is inaccessible, nothing changes. Deadlines are never changed.
PATCH
/
v2
/
tasks
/
schedule
Schedule tasks atomically
